#!/bin/sh
# @$-s /bin/sh
# @$-q a
# @$-me -mu takepiro@geo.kyushu-u.ac.jp
# @$
# 
##################### ʲĶ˹碌ѹ #######################
#
#       bsnsq_2d 󥹥ȡǥ쥯ȥ̾
BSNDIR=$HOME/model/bsnsq_2d_f90/dbldif_box
#
#       ǥ¹ NAMELIST ϥե̾
CNTLDIR=$BSNDIR/cntl
INPUT=$CNTLDIR/test-free-tfix-2.in
OUTPUT=$CNTLDIR/test-free-tfix-2.out
#
#       ϥǡե֤ǥ쥯ȥ
#       (ץ¹ԻΥȥѥ)
DATADIR=$BSNDIR/data
#
INITDAT=test-free-tfix.nc
#
#       ϥǡե̾(ꥹȥե̾)
RSTDAT=test-free-tfix-2.nc
#
#       ¹ԥץ̾
RUN=$BSNDIR/bin/ddbox
#
###TIMEX=timex
###TIMEX=time
TIMEX=
#
########################################################################
cat << END_OF_DATA > $INPUT
#
# Υѥ᥿
&NMCORD nx=33, xlength =  1., nz=33, zlength =  1./
&NMTIME nt = 10000,  ndisp =200, dt=1e-5 /
&NMIVAR step=11, file="$INITDAT" /

# ϳإѥ᥿
&NMDYN   ondim=.true., opr_inf=.false. / 
&NMDYNN  Pr=1.0, Ra=1e5, Rs=0.0, Le=0.0 /

# 
&NMBNDD oslip=.true. /
&NMBNDT otfix_top = T,        tftop =  0.0, 
        otfix_bottom = T,     tfbtm =  1.0, 
        otfix_left = F,       tfleft =  0.0, 
        otfix_right = F,      tfright = 0.0  /

&NMBNDC ocfix_top = F,        cftop =  0.0, 
        ocfix_bottom = F,     cfbtm =  0.0, 
        ocfix_left = F,       cfleft =  0.0, 
        ocfix_right = F,      cfright = 0.0  /

# 
&NMOUT iws=0, file="$RSTDAT" /

END_OF_DATA
##################################################################
        cd $DATADIR
        echo 'Program started at' `date` 'on' `hostname` 1> $OUTPUT
        $TIMEX $RUN $* < $INPUT 1>> $OUTPUT 2>&1
        echo 'Program ended at' `date` 1>> $OUTPUT
